org.apache.jmeter.visualizers.backend.graphite

## Class SocketConnectionInfos

- java.lang.Object
- - org.apache.jmeter.visualizers.backend.graphite.SocketConnectionInfos

-     public class SocketConnectionInfos
      extends Object

  Bean to embed host/port to Graphite
  Since:
    2.13

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketConnectionInfos(String host, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHost()`
    `int` | `getPort()`
    `void` | `setHost(String host)`
    `void` | `setPort(int port)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketConnectionInfos

          public SocketConnectionInfos(String host,
                                       int port)

      Parameters:
        `host` - the name of the host to connect to
        `port` - the port to connect to

  - ### Method Detail

    - #### getHost

          public String getHost()

      Returns:
        the host

    - #### setHost

          public void setHost(String host)

      Parameters:
        `host` - the host to set

    - #### getPort

          public int getPort()

      Returns:
        the port

    - #### setPort

          public void setPort(int port)

      Parameters:
        `port` - the port to set

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.